# An Open Letter to Apple

> Please leave a comment and I'll invite you and give you edit power - Brian

[![hackmd-github-sync-badge](https://hackmd.io/x-EFQGinSrCquuV-KYn72A/badge)](https://hackmd.io/x-EFQGinSrCquuV-KYn72A)


Signatories:
## Adam Curry - The Podfather
### Co-inventor of Podcasting.

## Podcasting 2.0
Dave Jones
Everybody else
Brian of London

EARLY DRAFT v1.0

## What we're asking from Apple

1. **Podcast Linking**: allow iOS and Mac users to select their own choice of 3rd party Podcast playing app for links to podcasts. We have a standardised schema and a range of apps, which have adopted it. We would love to see the Apple Podcast app also recognise this standard way of linking to episodes of podcasts.
2. **Use Podping**: We would be delighted to see Apple start using the free to use instant notification system Podping. This would dramatically reduce the number and frequency of checks on RSS feeds which Apple makes 24x7 to keep Apple's index up to date.
3. **Appoint a dedicated Podcasting 2.0 Liason**: We'd love to see Apple recognise the vibrant Podcasting 2.0 development community and **engage with us** making everything better for everyone involved in Podcasting! This largely grass roots and direct form of communication is one of the most vibrant parts of the Internet and we want to keep it growing.


## Background

Adam writes: "Back in 2005 I was called to a meeting with Steve Jobs. He asked me if it would be OK to put Podcasts directly into the software for the iPod: iTunes on the Mac. 

This meeting followed a number of years of open source development which built the fledgling Podcasting industry. That effort had built production tools, distribution systems and podcast player software. We had our own Index which, following that meeting with Steve Jobs, I entrusted to Apple."
    
Many years later, through which Podcasting grew into a thriving industry all of its own, Apple still holds a special place with it's Index of shows and free to use API.
    
Today Apple maintains a large market dominance on its own iOS platform with the built in Podcasting App. But there is healthy competition from a range of apps produced by billion dollar companies right down to single person startups. All these apps compete on iOS and Google's Android and there is room for all of them.
    
## Podcast Linking
    
There is an important element missing, however, especially on iOS. The ability to share a link to a Podcast or epsiode of a show and have it open in the user's preferred application. 
    
This choice is available on Google's Android system. We've recently seen search engine choice, browser choice and choice of email client added to iOS. We'd like to see Podcast App choice be added too.
    
Podcast listening is deeply personal. Podcast listeners have strong emotional ties to the content they follow and often to the apps they use. Podcasts are also deeply affected by word of mouth sharing and link sharing needs to be easier.
    
### Competition
    
All over the world, from Europe to Australia and the USA, competition authorities are looking very carefully at every aspect of big tech.

The browser wars of the 90's have carried into the heavy discussions today around mobile app store policies. Something as simple as reducing barriers to user's chosing a new primary Podcast App can only be seen as a win and encouraging of competition and choice for your customers.
    
## Podping
    
The diverse team of open source developers and Podcast lovers who have worked together under the Podcast Index stewardship have developed a revolutionary notification system for new podcast episode notifications.
    
**Podping** replaces energy wasteful, repetetive polling of millions of RSS feeds with an elegent blockchain based notification system.
    
Apple would need little more than a single Raspberry Pi, watching the stream of Podpings shared over the open source Hive blockchain. That could replace hundreds of energey burning servers Apple maintains today.
    
This one computer would notify Apple of every new episode within seconds of it being published and only then would Apple need to fetch the updated RSS feed and index its new content.
    
Podping is currently being used by the following podcast hosts and the *podpings* are picked up and used by PodcastIndex and a number of other apps:
    
- Buzzsprout.com
- Transistor.fm
- rss.com
- Captivate.fm
- podserve.fm
- Cast.Garden
- 3speak.tv
- podnews.net

[You can "watch" Podping right now in the browser](https://podping.watch/), every new episode from any of these hosts will appear here and this can run in your browser, no need to check 100's of 1,000's of RSS feeds every hour!

With Apple on board and using Podping to provide much faster and more energy efficient updates of podcasts to millions of iOS devices, we are sure that the rest of the Podcast hosting companies would join.

## One More Thing

PodcastIndex has been working for over a year now and been at the center of developing many new initiatives around what we've called Podcasting 2.0. Those innovations we've mentioned in this letter are just the tip of an iceberg.

We know Apple has been passionate about Podcasting for almost as long as we have, we would love to collaborate further and see Apple adopt some of the innovations our teams come up with! Please get in touch with Adam directly and lets work together on making Podcasting even better.
