# The "podcast:license" Specification

<small>Version 1.0 by Benjamin Bellamy - 2021.03.05</small>

<br>

## Purpose

Podcasting is an open ecosystem where information travel freely from platform to platform, but that does not mean that podcasts are free.
The fact that podcast files are available for anyone to download does not mean that anyone is allowed to do anything with them.  
But how can one know what is permitted? It is often difficult, or even impossible, to know - even more if you want to manage that automatically.
This situation creates awkward conflicts where everyone acts in good faith, everyone shares the same goal (growing audiences for podcasts) but everyone disagrees on what is acceptable.

- Can the podcast be locally copied? Then can the copy be shared? Should it be fetched from the original location only?
- Can the podcast be shared/played for free?
- Can the podcast be shared/played for a fixed fee? For a subscription fee?
- Can the podcast be used to display ads on it?
- Can it be used for audio insertion? Pre-roll, mid-roll, post-roll?
- Can it be trimmed, cut, edited? Translated? Dubbed?
- Can the shownotes be trimmed, cut, edited? Converted from HTML to plain text?

We have seen in the past Podcasters demanding to have their podcast removed from a platform because they felt they were being stolen from, even if that would mean less audience for them.
If we can provide a way to make what is allowed and what is forbidden crystal clear, we will avoid such conflicts.

Please note that this document is about what can be done after the podcast is published, not before.  
(For instance, using copyrighted music or copyrighted material in a podcast is not the subject here.)

You may read [PODCASTING LEGAL GUIDE: RULES FOR THE REVOLUTION](https://wiki.creativecommons.org/wiki/Podcasting_Legal_Guide) for more information.

This matter is very complex so this specification only intends to scratch its surface in its current version.

## Specification

- **\<podcast:license url="[url to license]" />[License Slug from SPDX List]</podcast:license>**

    Channel (optional | single)

    Item (optional | single)

   This element allows a podcaster to specify a license for a podcast or an episode.

   - `url` (required): This is the url to the license file.

   Examples:
   - `<podcast:license url="http://creativecommons.org/licenses/by-nd/4.0/">(CC BY-ND 4.0)</podcast:license>`
   - `<podcast:license url="http://creativecommons.org/licenses/by-nc-nd/4.0/">(CC BY-NC-ND 4.0)</podcast:license>`
   - `<podcast:license url="http://domain.tld/license.txt">© My Company 2021 - All Rights Reserved</podcast:license>`
 
   
   Discussion here:
   - (https://github.com/Podcastindex-org/podcast-namespace/issues/177)
   - (https://podcastindex.social/web/statuses/105839486748529374)
   - (https://spdx.org/licenses/)
   
